    The XSPEC compST model: Comptonization, Sunyaev & Titarchuk.

xscompst
The xscompst model is an additive model component.

The model is described at [1] .

>>> create_model_component("xscompst", "mdl")
>>> print(mdl)

Create a component of the xscompst model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kT thawed 2 0.001 100 keV mdl.tau thawed 10 0.0001 200 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kT
The temperature, in keV.
tau
The optical depth of the plasma.
norm
The model normalization: see [1] for more details.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCompst.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023